%define major 0
%define libname %mklibname cacard %major
%define develname %mklibname -d cacard

Name: libcacard
Version: 2.5.3
Release: %mkrel 1
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
License: LGPLv2+
URL: http://www.spice-space.org/download
Source0: http://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz
BuildRequires: pkgconfig(glib-2.0) >= 2.22
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(nss) >= 3.12.8
BuildRequires: pkgconfig(libpcsclite)

%description
Common Access Card (CAC) emulation library.

%package -n %libname
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
Recommends: %{name}-tools = %{version}-%{release}

%description -n %libname
Common Access Card (CAC) emulation library.

%package tools
Summary: CAC Emulation tools
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description tools
CAC emulation tools.

%package -n %develname
Summary: CAC Emulation devel
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
CAC emulation development files.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

%files -n %libname
%doc COPYING README.md
%{_libdir}/libcacard.so.%{major}{,.*}

%files -n %develname
%{_includedir}/cacard
%{_libdir}/pkgconfig/libcacard.pc
%{_libdir}/libcacard.so

%files tools
%{_bindir}/vscclient


%changelog
* Sat Mar 04 2017 luigiwalser <luigiwalser> 2.5.3-1.mga6
+ Revision: 1088713
- 2.5.3 (fixes CVE-2017-6414)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 25 2015 fwang <fwang> 2.5.1-2.mga6
+ Revision: 905897
- br libpcsclite

* Wed Nov 25 2015 fwang <fwang> 2.5.1-1.mga6
+ Revision: 905891
- update file list
- 2.5.1

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-5.mga5
+ Revision: 740053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 681359
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 506885
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 356894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.1.2-1.mga2
+ Revision: 126920
- imported package libcacard

